@import url(https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css);

@font-face {
  font-family: "type";
  src: url(Cormorant_Garamond/type.ttf);
}

/* Mobile */
@media screen and (max-width: 800px) {
  .img-thumbnail {
    max-height: 660px !important;
  }

  .col-md-center {
    scale: 0.75;
    margin-left: 150px;
  }

  .deck {
    scale: 0.8;
  }

  .card-image-overlay {
    margin-top: 500px !important;
  }

  #chooseTheme {
    margin-top: 300px;
  }
}

/* Laptop */
@media screen and (max-width: 1500px) {
  .img-thumbnail {
    margin-top: -20px !important;
    height: 800px !important;
  }
}

/* Desktop */
@media screen and (min-width: 1501px) {
  .img-thumbnail {
    max-height: 1800px !important;
  }
  .card-image-overlay {
    top: 700px;
  }

  #chooseTheme {
    margin-top: 500px;
  }
}

body {
  background: #4d060c;
}

.modal-body {
  font-weight: bold;
}

.modal-content {
  background: #6fbcff;
}

.dropbtn:hover .fas.fa-cog {
  transform: rotate(1turn);
  transition: transform 1s;
}

.start-button {
  transition: all 0.2s ease-in-out;
}

.start-button:hover {
  transform: scale(1.2);
}

.dropbtn {
  background-color: #4d060c;
  color: white;
  padding: 30px;
  margin: 20px 30px 0px 40px;
  font-size: 20px;
  border: none;
  height: auto;
  text-align: center;
  font-family: "type";
  border-radius: 50px;
  transition: all 300ms linear;
}

.dropdown {
  position: absolute;
  font-family: "type";
  top: 0;
  right: 0;
  display: inline-block;
}

.mx-auto {
  display: flex;
  justify-content: center;
  gap: 20px;
}

.mx-auto button {
  padding: 15px 20px;
  z-index: 1;
}

.imgBG {
  position: absolute;
  top: 10%;
  right: 2%;
  display: inline-block;
  z-index: -1;
  opacity: 80%;
}

.fontStart {
  text-shadow: 2px 2px 5px green;
}

#chooseTheme {
  display: flex;
  justify-content: center;
  margin-top: 150px;
  font-size: 50px;
  font-weight: bold;
  color: white;
  font-family: type;
}

.dropdown-content {
  display: none;
  position: relative;
  border-radius: 40px;
  background-color: antiquewhite;
  min-width: 90px;
  margin: 5px 20px 0px 40px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
  transition: all 1.5s;
  text-align: center;
}

.dropdown-content a {
  border-radius: 60px;
}

.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  transition: all 350ms linear;
}

.dropdown-content b:nth-child(odd) a:hover {
  background-color: rgb(1, 104, 7);
  color: yellow;
  transform: translateX(8%);
}

.dropdown-content b:nth-child(even) a:hover {
  background-color: rgb(13, 13, 134);
  color: rgb(255, 94, 0);
  transform: translateX(8%);
}

.dropdown:hover .dropdown-content {
  display: block;
}

.dropdown:hover .dropbtn {
  background-color: #021686;
  color: white;
}

.deck {
  width: 600px;
  height: 600px;
  margin: auto;
  display: flex;
  flex-wrap: wrap;
  perspective: 1000px;
}

.cat-card {
  width: calc(25% - 10px);
  height: calc(33.333% - 10px);
  margin: 5px;
  position: relative;
  transform: scale(1);
  transform-style: preserve-3d;
  transition: transform 0.5s;
}

.cat-card:active {
  transform: scale(0.97);
  transition: transform 0.2s;
}

.cat-card.flip {
  transform: rotateY(180deg);
}

.front,
.back {
  width: 100%;
  height: 100%;
  padding: 10px;
  position: absolute;
  border-radius: 5px;
  background: #d5dbe1;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.front {
  transform: rotateY(180deg);
}

.score {
  width: 240px;
  height: 100px;
  margin: 1px;
  position: relative;
  z-index: 100;
  font-family: "type";
  font-size: 34px;
  font-weight: bold;
}

@keyframes example {
  0% {
    color: lime;
    text-shadow: 0 0 20px green;
  }

  25% {
    color: green;
    text-shadow: 2px 2px 2px lime;
    transform: translate(-2px, 1px);
  }

  40% {
    color: lime;
    text-shadow: none;
    transform: translate(0, 0);
  }

  50% {
    color: green;
    text-shadow: 5px 5px 2px blue, -5px -5px 2px red;
    transform: translate(0px, 5px);
  }

  70% {
    color: lime;
    text-shadow: none;
    transform: translate(0, 0);
  }

  80% {
    color: lime;
    text-shadow: 0 0 20px green;
    transform: translate(-2px, 1px);
  }

  100% {
    color: lime;
    text-shadow: none;
  }
}

.gameover {
  font-family: "type";
  font-size: 5em;
  text-align: center;
  animation-name: example;
  animation-duration: 1s;
  animation-iteration-count: infinite;
}

.container-start {
  margin-right: auto;
  margin-left: auto;
  height: auto;
  overflow: hidden;
  max-width: 990px !important;
}

.container {
  display: none;
}

.scoreTitle {
  color: gold;
  margin-left: 40px;
}

.scoreList {
  color: gold;
  margin-left: 30px;
  font-size: 30px;
}

.btn.btn-success {
  font-family: type;
  z-index: 1;
}

#highScores {
  font-family: type;
}

.btn.btn-outline-success.btn-mode {
  font-family: type;
}

.btn.btn-outline-warning.btn-mode {
  font-family: type;
}
#clock {
  font-family: sans-serif;
}

#shopBTN {
  font-family: type;
  background-color: yellow;
  color: brown;
  font-style: italic;
  border-radius: 14px;
  font-size: 20px;
  font-weight: bold;
  position: absolute;
  top: 300px;
  left: 17px;
  padding: 8px 12px;
}

#shopBTN:hover .fas.fa-shopping-cart {
  transform: scale(1.1);
}

.shopSection_header_nav_el {
  border: 4px dashed darkgreen;
  border-radius: 12px;
  padding: 8px 12px;
  color: yellowgreen;
  background-color: darkgreen;
  max-width: 120px;
  text-align: center;
}

.shopSection_header_nav_el:hover {
  border-bottom: 4px dashed gray;
  border-top: 4px dashed red;
  border-right: 4px dashed blue;
  border-left: 4px dashed yellow;
}

.shopSection_header_span_el {
  color: darkblue;
  font-weight: bolder;
  font-size: 24px;
  padding: 8px 12px;
}

.shopSection_header {
  display: flex;
  justify-content: space-between;
  background-color: orange;
  border-bottom: 5px dotted black;
  padding: 10px 20px;
}

.shopSection_body,
.shopSection_body2 {
  display: flex;
  justify-content: space-evenly;
  padding: 20px 30px;
}

.shopSection_body > div img,
.shopSection_body2 > div img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.shopSection_body_items_itemContent,
.shopSection_body_items_itemContent_Selected {
  position: relative;
  display: inline;
}

.shopSection_body > div,
.shopSection_body2 > div {
  overflow: hidden;
  width: 150px;
  height: 200px;
  border-radius: 10px;
  cursor: pointer;
}

.shopSection_body_items_itemContent_fader_Selected,
.shopSection_body_items_itemContent_fader_notSelected {
  position: absolute;
  background-color: black;
  color: white;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  opacity: 0;
  width: 150px;
  height: 200px;
  text-transform: uppercase;
}

.shopSection_body_items_itemContent_fader_Selected *,
.shopSection_body_items_itemContent_fader_notSelected * {
  color: white;
  font-size: 24px;
  font-weight: bolder;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
}

.shopSection_body_items_itemContent_fader_Selected {
  opacity: 0.7;
}

.shopSection_body_items_itemContent_fader_notSelected:hover {
  opacity: 0.7;
}

#shopSection {
  background-color: rgb(252, 252, 129);
  border-radius: 6px;
  overflow: hidden;
  max-width: 900px;
  scale: 1.2;
  position: absolute;
  top: 50%;
  left: 55%;
  transform: translate(-50%, -50%);
  z-index: 150;
}

.body4 {
  background: conic-gradient(
      at var(--m) calc(var(--s) * 0.5777),
      transparent 270deg,
      #000 0deg
    ),
    conic-gradient(
      at calc(100% - var(--m)) calc(var(--s) * 0.5777),
      #000 90deg,
      transparent 0deg
    ),
    conic-gradient(from -60deg at 50% calc(var(--s) * 0.8662), var(--v1)),
    conic-gradient(
      from -60deg at 50% calc(var(--s) * 0.8662 + 2 * var(--m)),
      var(--v2)
    ),
    conic-gradient(
      from 120deg at 50% calc(var(--s) * 1.4435 + 3 * var(--m)),
      var(--v1)
    ),
    conic-gradient(
      from 120deg at 50% calc(var(--s) * 1.4435 + var(--m)),
      var(--v2)
    ),
    linear-gradient(
      90deg,
      #fff calc(50% - var(--m)),
      #000 0 calc(50% + var(--m)),
      #fff 0
    );
  background-size: calc(var(--s) + 2 * var(--m))
    calc(var(--s) * 1.732 + 3 * var(--m));
  mix-blend-mode: lighten;
  height: 100vh;
}
.body4:before {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(90deg, red, blue, green) left/400% 100%;
  animation: f 2s infinite alternate linear;
}

@keyframes f {
  100% {
    background-position: right;
  }
}

.body3 {
  width: 100%;
  height: 100vh;
  display: flex;
  background-size: 300% 300%;
  background-image: linear-gradient(
    -45deg,
    yellow 0%,
    yellow 25%,
    yellow 51%,
    #ff357f 100%
  );
  -webkit-animation: AnimateBG 20s ease infinite;
  animation: AnimateBG 20s ease infinite;
}

@-webkit-keyframes AnimateBG {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

@keyframes AnimateBG {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

.dropbtn4 {
  background-color: yellow;
  color: black;
}

.dropbtn3 {
  background-color: lightseagreen;
  color: darkblue;
}

.results3 > * {
  color: darkblue;
  position: initial;
}

.results4 > * {
  color: yellow;
}

.results4,
.results3 {
  position: absolute;
  z-index: 2;
}

.row1 {
  margin-top: 20px;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  margin-right: -15px;
  margin-left: -15px;
  margin-top: 24px;
}

.body2 {
  background-color: #4e54c8;
}

body {
  height: 100vh;
}

.area {
  background: -webkit-linear-gradient(to left, #8f94fb, #4e54c8);
  width: 100%;
  height: 95vh;
  position: absolute;
}

.circles {
  position: absolute;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.circles li {
  position: absolute;
  display: block;
  list-style: none;
  width: 20px;
  height: 20px;
  background: rgba(255, 255, 255, 0.2);
  animation: animate 25s linear infinite;
  bottom: -150px;
}

.circles li:nth-child(1) {
  left: 25%;
  width: 80px;
  height: 80px;
  animation-delay: 0s;
}

.circles li:nth-child(2) {
  left: 10%;
  width: 20px;
  height: 20px;
  animation-delay: 2s;
  animation-duration: 12s;
}

.circles li:nth-child(3) {
  left: 70%;
  width: 20px;
  height: 20px;
  animation-delay: 4s;
}

.circles li:nth-child(4) {
  left: 40%;
  width: 60px;
  height: 60px;
  animation-delay: 0s;
  animation-duration: 18s;
}

.circles li:nth-child(5) {
  left: 65%;
  width: 20px;
  height: 20px;
  animation-delay: 0s;
}

.circles li:nth-child(6) {
  left: 75%;
  width: 110px;
  height: 110px;
  animation-delay: 3s;
}

.circles li:nth-child(7) {
  left: 35%;
  width: 150px;
  height: 150px;
  animation-delay: 7s;
}

.circles li:nth-child(8) {
  left: 50%;
  width: 25px;
  height: 25px;
  animation-delay: 15s;
  animation-duration: 45s;
}

.circles li:nth-child(9) {
  left: 20%;
  width: 15px;
  height: 15px;
  animation-delay: 2s;
  animation-duration: 35s;
}

.circles li:nth-child(10) {
  left: 85%;
  width: 150px;
  height: 150px;
  animation-delay: 0s;
  animation-duration: 11s;
}

@keyframes animate {
  0% {
    transform: translateY(0) rotate(0deg);
    opacity: 1;
    border-radius: 0;
  }

  100% {
    transform: translateY(-1000px) rotate(720deg);
    opacity: 0;
    border-radius: 50%;
  }
}

.bg {
  animation: slide 3s ease-in-out infinite alternate;
  background-image: linear-gradient(-60deg, #6c3 50%, #09f 50%);
  bottom: 0;
  left: -50%;
  opacity: 0.5;
  position: fixed;
  right: -50%;
  top: 0;
  z-index: -1;
}

.bg2 {
  animation-direction: alternate-reverse;
  animation-duration: 4s;
}

.bg3 {
  animation-duration: 5s;
}

.content {
  background-color: rgba(255, 255, 255, 0.8);
  border-radius: 0.25em;
  box-shadow: 0 0 0.25em rgba(0, 0, 0, 0.25);
  box-sizing: border-box;
  left: 50%;
  padding: 10vmin;
  position: fixed;
  text-align: center;
  top: 50%;
  transform: translate(-50%, -50%);
}

@keyframes slide {
  0% {
    transform: translateX(-25%);
  }
  100% {
    transform: translateX(25%);
  }
}

.closed {
  scale: 0.001;
  display: none;
}
